passcode 0.1.2

  • README.md
  • CHANGELOG.md
  • Example
  • Installing
  • Versions
  • new85

passcode

A Flutter widget for entering a passcode.

alt text

This widget allows you to customise number of characters, background and border colors and obscure text.

alt text

Example

import 'package:flutter/material.dart';
import 'package:passcode/passcode.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(),
        body: Center(
          child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: <Widget>[
              PasscodeTextField(
                onTextChanged: (passcode) {
                  print(passcode);
                },
                totalCharacters: 4,
                borderColor: Colors.black,
                passcodeType: PasscodeType.number,
              ),
            ],
          ),
        ),
      ),
    );
  }
}

Getting Started

For help getting started with Flutter, view our online documentation.

For help on editing package code, view the documentation.

[0.1.2] - 11/11/2018.

  • Centered text in passcode

example/lib/main.dart

import 'package:flutter/material.dart';
import 'package:passcode/passcode.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: MyHomePage(),
    );
  }
}

class MyHomePage extends StatefulWidget {
  @override
  _MyHomePageState createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(),
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: <Widget>[
            PasscodeTextField(
              onTextChanged: (passcode) {
                print(passcode);
              },
              totalCharacters: 4,
              borderColor: Colors.black,
              passcodeType: PasscodeType.number,
            ),
          ],
        ),
      ),
    );
  }
}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  passcode: ^0.1.2

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter packages get

Alternatively, your editor might support flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:passcode/passcode.dart';
  
Version Uploaded Documentation Archive
0.1.2 Nov 11, 2018 Go to the documentation of passcode 0.1.2 Download passcode 0.1.2 archive
0.1.1 Oct 21, 2018 Go to the documentation of passcode 0.1.1 Download passcode 0.1.1 archive
0.1.0 Oct 21, 2018 Go to the documentation of passcode 0.1.0 Download passcode 0.1.0 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
70
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
85
Learn more about scoring.

We analyzed this package on Nov 14, 2018, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.0.0
  • pana: 0.12.6
  • Flutter: 0.11.3

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0-dev.68.0 <3.0.0
flutter 0.0.0
Transitive dependencies
collection 1.14.11
meta 1.1.6
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8
Dev dependencies
flutter_test